- Qt 5.15
- Qt Core
- qt5_add_big_resources
- Qt 5.15.19 Reference Documentation

# qt5_add_big_resources

## Synopsis

     qt5_add_big_resources(<VAR> file1.qrc [file2.qrc ...]
                           [OPTIONS ...])

## Description

Creates compiled object files from Qt resource files using the Resource Compiler (rcc). Paths to the generated files are added to `<VAR>`.

This is similar to qt5_add_resources / qt_add_resources, but directly generates object files (`.o`, `.obj`) files instead of C++ source code. This allows to embed bigger resources, where compiling to C++ sources and then to binaries would be too time consuming or memory intensive.

Note: This macro is only available if using `CMake` 3.9 or later.

Note: For compatibility with Qt 6, the command is also available under the name qt_add_big_resources.

## Arguments

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     set(SOURCES main.cpp)
     qt5_add_big_resources(SOURCES big_resource.qrc)
     add_executable(myapp ${SOURCES})